get
https://partner.gupshup.io/partner/bizgate/app//flows/
Returns the metadata and requested fields for a single WhatsApp Flow on an app, identified by its flow id.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| flowId | Identifier of the WhatsApp Flow. | 1616289422261049 | String | Required |
Query parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| fields | Comma-separated list of fields to return, to narrow the payload. | — | String | Optional |
Sample cURL — Get flow by id.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/flows/1616289422261049' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"application": {
"id": "2281283925530161",
"link": "https://www.gupshup.io/developer/home",
"name": "GupShup"
},
"categories": [
"APPOINTMENT_BOOKING",
"SIGN_UP"
],
"id": "1616289422261049",
"json_version": "3.1",
"name": "flow_dev_01",
"preview": {
"expires_at": "2024-07-21T10:15:47+0000",
"preview_url": "https://business.facebook.com/wa/manage/flows/1616289422261049/preview/?token=fe2fa8b0-86bf-4d53-a6c3-eec4085ab48b"
},
"validation_errors": [ ]
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…